<?php $__env->startSection('conteudo'); ?>

<h3>
    Editar Perfil

    <a href="<?php echo e(url('admin/perfil')); ?>" class="material-icons float-right" style="font-size: 1.3em; color: #333;">
        keyboard_backspace
    </a> 
</h3>
<hr>
<form id="form" class="form-horizontal" action="<?php echo e(url('admin/perfil/update')); ?>" method="POST" onsubmit="oController.salvar(event)">
    <?php echo e(csrf_field()); ?>

    <div class="row">
        <div class="col-6">
            <div class="form-group">
                <label for="nome">Nome do perfil:</label>
                <input type="text" id="nome" name="nome" class="form-control form-control-sm" required value="<?php echo e($oPerfil->nome); ?>">
            </div>
            <br>
        </div>
    </div>
    <legend>Permissões</legend>
    <div id="conteudo_grid">
        <table id="grid" class="table table-bordered table-hover table-sm" width="100%">
            <thead>
                <tr>
                    <th>
                        <select name="grupo" id="grupo" class="form-control form-control-sm" onchange="oController.filtrarGrupo(this)">
                            <option value="">Todos os grupos</option>
                            <?php $__currentLoopData = $aAcao; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $grupo => $acao): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e(simplificarString($grupo)); ?>"><?php echo e($grupo); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </th>
                    <th class="flex-column">permissão</th>
                    <th>descrição</th>
                </tr>
            </thead>
            <tbody>
                <?php $__currentLoopData = $aAcao; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $grupo => $acao): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr class="<?php echo e(simplificarString($grupo)); ?>">
                    <td class="grupo" rowspan="<?php echo e(count($acao) +1); ?>" style="vertical-align: middle; background: whitesmoke;"><?php echo e($grupo); ?></td>
                </tr>
                <?php $__currentLoopData = $acao; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $valor): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr class="<?php echo e(simplificarString($grupo)); ?>">
                    <td>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" id="<?php echo e($valor->id); ?>" name="acao[]" value="<?php echo e($valor->id); ?>" <?php echo e(in_array($valor->id, $aPermissoes) ? 'checked' : ''); ?>>
                            <label class="form-check-label" for="<?php echo e($valor->id); ?>">
                                <?php echo e($valor->nome_amigavel); ?>

                            </label>
                        </div>
                    </td>
                    <td><?php echo e($valor->descricao); ?></td>
                </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <td colspan="3" style="background: white"></td>
                </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>
        <br>
    </div>

    <div id="erro_form" class="alert alert-success fade show <?php echo e(isset($alerta) ? '' : 'd-none'); ?>" role="alert">
        <span id="msg"><?php echo e($alerta ?? ''); ?></span>
    </div>

    <div class="row">
        <div class="col-6">
            <div class="form-group">
                <button id="salvar" type="submit" class="btn btn-primary" data-url="<?php echo e(url('admin/perfil/editar')); ?>">
                    Salvar
                </button>
                <a href="<?php echo e(url('admin/perfil')); ?>" class="btn btn-secondary">Nova pesquisa</a>

            </div>
            <br>
        </div>
    </div>

    <input type="hidden" name="perfil" value="<?php echo e($oPerfil->id); ?>">
</form>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
<script src="<?php echo e(asset('js/app/models/Ajax.js')); ?>"></script>
<script src="<?php echo e(asset('js/app/models/ListaErrors.js')); ?>"></script>
<script src="<?php echo e(asset('js/app/controllers/PerfilController.js')); ?>"></script>
<script>
    oController = new PerfilController();

    <?php if($alerta): ?>
    oController.exibirAlerta('<?php echo e($alerta); ?>');
    <?php endif; ?>
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.default', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>