<?php $__env->startSection('conteudo'); ?>
    <div>
        <h4>
            <span class="material-icons icone" style="color: green;">check_circle_outline</span> 
            Confirmar pedido
            <a href="<?php echo e(url('')); ?>" class="material-icons float-right" style="font-size: 1.3em; color: #333;">
            keyboard_backspace
            </a>
        </h4>
        <br>

        <?php if(session('error')): ?>
            <div class="alert alert-danger">
            <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            <?php echo session('error'); ?>

            </div>
        <?php endif; ?>

        <?php $valorTotal = array_sum(array_column($pedido, 'valor')); ?>

        <table class="table" width="100%">
            <?php $__currentLoopData = $pedido; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $indice => $p): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php $cardapio = App\Models\Entity\Cardapio::find($p->id_cardapio) ?>

                <tr>
                    <td width="1%" style="padding: 0;">
                        <a href="<?php echo e(url('pedido/confirmar-pedido?remove='.$indice)); ?>" class="btn btn-sm float-left" title="Remover pedido">
                            <i class="material-icons" style="color: darkred;">delete</i>
                        </a>
                    </td>
                    <td width="20%" style="padding-top: 4px;">
                        <b><?php echo e($p->quantidade); ?> <?php echo e($cardapio->categoria->nome); ?>: <?php echo e($cardapio->nome_item); ?></b>
                        <?php if($p->observacao): ?>
                            <br><?php echo e($p->observacao); ?>

                        <?php endif; ?>
                    </td>
                    <td width="2%" align="right" style="padding-top: 4px;">
                        <?php echo e(number_format($p->valor, 2, ',', '.')); ?>

                    </td>
                </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </table>
        
        <div style="font-size: 1.2em; text-align: right;">
            <div>Subtotal: R$ <?php echo e(number_format($valorTotal, 2, ',', '.')); ?></div>
        </div>

        <?php 
            $taxaServico = (in_array(3, $perflUsuario) ? ($valorTotal * (10 / 100)) : 0);
            $arr = explode('.', $taxaServico);

            if(count($arr) > 1) {

                $arr[1] = (strlen($arr[1]) < 2) ? intval($arr[1].'0') : $arr[1];

                if($arr[1] >= 51) {
                    $taxaServico = ($arr[0] + 1);
                }else {
                    $taxaServico = $arr[0];
                }
            }
        ?>

        <div style="font-size: 1.2em; text-align: right;">
            
            <input type="checkbox" name="taxaServico" id="taxaServico" value="1" <?php echo e((in_array(3, $perflUsuario) ? 'checked' : 'disabled')); ?>  onclick="changeTaxa(this)">
            
            Comissão de venda: R$ 
            <span id="valorTaxaServico"><?php echo e(number_format($taxaServico, 2, ',', '.')); ?></span>
            <span class="d-none" id="zeroTaxa">0,00</span>
        </div>

        <div style="font-size: 1.5em; text-align: right;">
            <strong>
                Total Geral: R$ <span id="valorComTaxa"><?php echo e(number_format(($valorTotal + $taxaServico), 2, ',', '.')); ?></span>
                <span id="valorSemTaxa" class="d-none"><?php echo e(number_format(($valorTotal), 2, ',', '.')); ?></span>
            </strong>
        </div>

        <br><br><br>
        <div style="clear: both;">
            <a href="#" data-url="<?php echo e(url('pedido/finalizar/leitor')); ?>" onclick="abrirLeitorCartao(this)" class="btn btn-success btn-lg btn-block">Finalizar pedido</a>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
<script>
    var valorTaxaServico = document.getElementById('valorTaxaServico');
    var zeroTaxa = document.getElementById('zeroTaxa');
    var valorComTaxa = document.getElementById('valorComTaxa');
    var valorSemTaxa = document.getElementById('valorSemTaxa');


    function abrirLeitorCartao(e) {
        window.location = e.dataset.url+'?taxaServico='+document.getElementById('taxaServico').checked;
    } 

    function changeTaxa(e) {
        if(e.checked) {
            valorTaxaServico.classList.remove('d-none');
            zeroTaxa.classList.add('d-none');

            valorSemTaxa.classList.add('d-none');
            valorComTaxa.classList.remove('d-none');
        }else {
            valorTaxaServico.classList.add('d-none');
            zeroTaxa.classList.remove('d-none');

            valorSemTaxa.classList.remove('d-none');
            valorComTaxa.classList.add('d-none');
        }
    }
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.default', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>